/caferimo-purchase-orders-patch-one

Summary

  • Source repository: jef-systems/jef-caferimo-backend

  • Source SHA: 8b581b1d13a85824a9fe99676c0acfe212acd4e2

  • Source run id: 26743367088

  • Lambda function: jef-caferimo-purchase-orders-patch-one

  • HTTP method: PATCH

  • API path: /caferimo-purchase-orders-patch-one

  • Endpoint URL: https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-purchase-orders-patch-one

  • Payload mode: json-body

Description

  • Function: jef-caferimo-purchase-orders-patch-one

  • Module: jef-caferimo

  • Action: patch-one

  • Method: PATCH

  • Invocation Mode: ASYNC

  • Resource Path: /caferimo-purchase-orders-patch-one

  • Table: jef-caferimo-purchase-orders

  • Primary Key: purchase_order_id

API Gateway Response

  • status\_code: 202

  • message: Request accepted for asynchronous processing.

Payload Example

  • purchase\_order\_id: 52f0074f-e6dc-4968-836f-aaecf5dae512

  • store\_id: fea0d68f-e658-4352-8ed4-b05f89e665ca

  • entity\_number: 0001

  • purchase\_order\_number: 0001

  • order\_number: 0001

  • purchase\_order\_date: 2026-06-01

  • purchase\_order\_datetime: 2026-06-01T08:10:43Z

  • business\_date: 2026-06-01

  • purchase\_order\_status: value-001

  • owed\_status: value-001

  • company\_number: 0001

  • company\_name: Sample Caferimo Purchase Orders 001

  • company\_address\_line\_1: value-001

  • company\_address\_line\_2: value-001

  • company\_contact\_number: 0001

  • company\_tin: value-001

  • item\_count: 1

  • total\_quantity: 1

  • subtotal\_amount: 1

  • discount\_amount: 1

  • tax\_amount: 1

  • total\_amount: 1

  • settlement\_status: value-001

  • settlement\_method: value-001

  • settled\_amount: 1

  • balance\_amount: 1

  • settled\_at: 2026-06-01T08:10:43Z

  • prepared\_by: value-001

  • approved\_by: value-001

  • branch\_name: Sample Caferimo Purchase Orders 001

  • terminal\_name: Sample Caferimo Purchase Orders 001

  • purchase\_order\_remarks: value-001

  • linked\_sales\_invoice\_number: 0001

  • idempotency\_key: value-001

  • created: 2026-06-01T08:10:43Z

  • updated: 2026-06-01T08:10:43Z

  • posted\_at: 2026-06-01T08:10:43Z

  • void\_reason: value-001

  • voided\_at: 2026-06-01T08:10:43Z

  • children.purchase\_order\_items\[0\].purchase\_order\_item\_id: b4b64a97-5535-43d8-97ed-bf41fd37ab31

  • children.purchase\_order\_items\[0\].purchase\_order\_id: 52f0074f-e6dc-4968-836f-aaecf5dae512

  • children.purchase\_order\_items\[0\].store\_id: fea0d68f-e658-4352-8ed4-b05f89e665ca

  • children.purchase\_order\_items\[0\].entity\_number: 0001

  • children.purchase\_order\_items\[0\].purchase\_order\_number: 0001

  • children.purchase\_order\_items\[0\].order\_number: 0001

  • children.purchase\_order\_items\[0\].business\_date: 2026-06-01

  • children.purchase\_order\_items\[0\].line\_number: 1

  • children.purchase\_order\_items\[0\].product\_number: 0001

  • children.purchase\_order\_items\[0\].product\_name: Sample Caferimo Purchase Order Items 001

  • children.purchase\_order\_items\[0\].quantity: 1

  • children.purchase\_order\_items\[0\].unit\_price: 1

  • children.purchase\_order\_items\[0\].line\_total: 1

  • children.purchase\_order\_items\[0\].created: 2026-06-01T08:10:43Z

  • children.purchase\_order\_items\[0\].updated: 2026-06-01T08:10:43Z

Payload Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.purchase_order_id.type": "S",
  "root.attributes.purchase_order_id.required": "True",
  "root.attributes.purchase_order_id.format": "uuidv4",
  "root.attributes.purchase_order_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.store_id.type": "S",
  "root.attributes.store_id.required": "False",
  "root.attributes.store_id.format": "uuidv4",
  "root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.entity_number.type": "S",
  "root.attributes.entity_number.required": "False",
  "root.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.purchase_order_number.type": "S",
  "root.attributes.purchase_order_number.required": "False",
  "root.attributes.purchase_order_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.order_number.type": "S",
  "root.attributes.order_number.required": "False",
  "root.attributes.order_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.purchase_order_date.type": "S",
  "root.attributes.purchase_order_date.required": "False",
  "root.attributes.purchase_order_date.regex": "^\\d{4}-\\d{2}-\\d{2}$",
  "root.attributes.purchase_order_datetime.type": "S",
  "root.attributes.purchase_order_datetime.required": "False",
  "root.attributes.purchase_order_datetime.format": "iso8601",
  "root.attributes.purchase_order_datetime.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.business_date.type": "S",
  "root.attributes.business_date.required": "False",
  "root.attributes.business_date.regex": "^\\d{4}-\\d{2}-\\d{2}$",
  "root.attributes.purchase_order_status.type": "S",
  "root.attributes.purchase_order_status.required": "False",
  "root.attributes.purchase_order_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.owed_status.type": "S",
  "root.attributes.owed_status.required": "False",
  "root.attributes.owed_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.company_number.type": "S",
  "root.attributes.company_number.required": "False",
  "root.attributes.company_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.company_name.type": "S",
  "root.attributes.company_name.required": "False",
  "root.attributes.company_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.company_address_line_1.type": "S",
  "root.attributes.company_address_line_1.required": "False",
  "root.attributes.company_address_line_1.regex": "^.{1,300}$",
  "root.attributes.company_address_line_2.type": "S",
  "root.attributes.company_address_line_2.required": "False",
  "root.attributes.company_address_line_2.regex": "^.{1,300}$",
  "root.attributes.company_contact_number.type": "S",
  "root.attributes.company_contact_number.required": "False",
  "root.attributes.company_contact_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.company_tin.type": "S",
  "root.attributes.company_tin.required": "False",
  "root.attributes.company_tin.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.item_count.type": "N",
  "root.attributes.item_count.required": "False",
  "root.attributes.item_count.regex": "^\\d+$",
  "root.attributes.total_quantity.type": "N",
  "root.attributes.total_quantity.required": "False",
  "root.attributes.total_quantity.regex": "^\\d+$",
  "root.attributes.subtotal_amount.type": "N",
  "root.attributes.subtotal_amount.required": "False",
  "root.attributes.subtotal_amount.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.discount_amount.type": "N",
  "root.attributes.discount_amount.required": "False",
  "root.attributes.discount_amount.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.tax_amount.type": "N",
  "root.attributes.tax_amount.required": "False",
  "root.attributes.tax_amount.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.total_amount.type": "N",
  "root.attributes.total_amount.required": "False",
  "root.attributes.total_amount.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.settlement_status.type": "S",
  "root.attributes.settlement_status.required": "False",
  "root.attributes.settlement_status.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.settlement_method.type": "S",
  "root.attributes.settlement_method.required": "False",
  "root.attributes.settlement_method.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.settled_amount.type": "N",
  "root.attributes.settled_amount.required": "False",
  "root.attributes.settled_amount.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.balance_amount.type": "N",
  "root.attributes.balance_amount.required": "False",
  "root.attributes.balance_amount.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.settled_at.type": "S",
  "root.attributes.settled_at.required": "False",
  "root.attributes.settled_at.format": "iso8601",
  "root.attributes.settled_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.prepared_by.type": "S",
  "root.attributes.prepared_by.required": "False",
  "root.attributes.prepared_by.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.approved_by.type": "S",
  "root.attributes.approved_by.required": "False",
  "root.attributes.approved_by.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.branch_name.type": "S",
  "root.attributes.branch_name.required": "False",
  "root.attributes.branch_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.terminal_name.type": "S",
  "root.attributes.terminal_name.required": "False",
  "root.attributes.terminal_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.purchase_order_remarks.type": "S",
  "root.attributes.purchase_order_remarks.required": "False",
  "root.attributes.purchase_order_remarks.regex": "^.{0,500}$",
  "root.attributes.linked_sales_invoice_number.type": "S",
  "root.attributes.linked_sales_invoice_number.required": "False",
  "root.attributes.linked_sales_invoice_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.idempotency_key.type": "S",
  "root.attributes.idempotency_key.required": "False",
  "root.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.created.type": "S",
  "root.attributes.created.required": "False",
  "root.attributes.created.format": "iso8601",
  "root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.updated.type": "S",
  "root.attributes.updated.required": "False",
  "root.attributes.updated.format": "iso8601",
  "root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.posted_at.type": "S",
  "root.attributes.posted_at.required": "False",
  "root.attributes.posted_at.format": "iso8601",
  "root.attributes.posted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.void_reason.type": "S",
  "root.attributes.void_reason.required": "False",
  "root.attributes.void_reason.regex": "^.{0,500}$",
  "root.attributes.voided_at.type": "S",
  "root.attributes.voided_at.required": "False",
  "root.attributes.voided_at.format": "iso8601",
  "root.attributes.voided_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.type": "M",
  "root.attributes.children.required": "False",
  "root.attributes.children.attributes.purchase_order_items.type": "L",
  "root.attributes.children.attributes.purchase_order_items.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.type": "M",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_item_id.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_item_id.required": "True",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_item_id.format": "uuidv4",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_id.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_id.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_id.format": "uuidv4",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.store_id.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.store_id.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.store_id.format": "uuidv4",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.entity_number.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.entity_number.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.entity_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_number.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_number.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.purchase_order_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.order_number.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.order_number.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.order_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.business_date.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.business_date.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.business_date.regex": "^\\d{4}-\\d{2}-\\d{2}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.line_number.type": "N",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.line_number.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.line_number.regex": "^\\d+$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.product_number.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.product_number.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.product_number.regex": "^[A-Za-z0-9_-]{1,64}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.product_name.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.product_name.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.product_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.quantity.type": "N",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.quantity.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.quantity.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.unit_price.type": "N",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.unit_price.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.unit_price.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.line_total.type": "N",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.line_total.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.line_total.regex": "^-?\\d+(\\.\\d+)?$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.created.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.created.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.created.format": "iso8601",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.updated.type": "S",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.updated.required": "False",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.updated.format": "iso8601",
  "root.attributes.children.attributes.purchase_order_items.items.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}

Response Schema

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

Request Payload

{
  "purchase_order_id": "52f0074f-e6dc-4968-836f-aaecf5dae512",
  "store_id": "fea0d68f-e658-4352-8ed4-b05f89e665ca",
  "entity_number": "0001",
  "purchase_order_number": "0001",
  "order_number": "0001",
  "purchase_order_date": "2026-06-01",
  "purchase_order_datetime": "2026-06-01T08:10:43Z",
  "business_date": "2026-06-01",
  "purchase_order_status": "value-001",
  "owed_status": "value-001",
  "company_number": "0001",
  "company_name": "Sample Caferimo Purchase Orders 001",
  "company_address_line_1": "value-001",
  "company_address_line_2": "value-001",
  "company_contact_number": "0001",
  "company_tin": "value-001",
  "item_count": "1",
  "total_quantity": "1",
  "subtotal_amount": "1",
  "discount_amount": "1",
  "tax_amount": "1",
  "total_amount": "1",
  "settlement_status": "value-001",
  "settlement_method": "value-001",
  "settled_amount": "1",
  "balance_amount": "1",
  "settled_at": "2026-06-01T08:10:43Z",
  "prepared_by": "value-001",
  "approved_by": "value-001",
  "branch_name": "Sample Caferimo Purchase Orders 001",
  "terminal_name": "Sample Caferimo Purchase Orders 001",
  "purchase_order_remarks": "value-001",
  "linked_sales_invoice_number": "0001",
  "idempotency_key": "value-001",
  "created": "2026-06-01T08:10:43Z",
  "updated": "2026-06-01T08:10:43Z",
  "posted_at": "2026-06-01T08:10:43Z",
  "void_reason": "value-001",
  "voided_at": "2026-06-01T08:10:43Z",
  "children.purchase_order_items[0].purchase_order_item_id": "b4b64a97-5535-43d8-97ed-bf41fd37ab31",
  "children.purchase_order_items[0].purchase_order_id": "52f0074f-e6dc-4968-836f-aaecf5dae512",
  "children.purchase_order_items[0].store_id": "fea0d68f-e658-4352-8ed4-b05f89e665ca",
  "children.purchase_order_items[0].entity_number": "0001",
  "children.purchase_order_items[0].purchase_order_number": "0001",
  "children.purchase_order_items[0].order_number": "0001",
  "children.purchase_order_items[0].business_date": "2026-06-01",
  "children.purchase_order_items[0].line_number": "1",
  "children.purchase_order_items[0].product_number": "0001",
  "children.purchase_order_items[0].product_name": "Sample Caferimo Purchase Order Items 001",
  "children.purchase_order_items[0].quantity": "1",
  "children.purchase_order_items[0].unit_price": "1",
  "children.purchase_order_items[0].line_total": "1",
  "children.purchase_order_items[0].created": "2026-06-01T08:10:43Z",
  "children.purchase_order_items[0].updated": "2026-06-01T08:10:43Z"
}

Response

{
  "root.type": "M",
  "root.required": "True",
  "root.attributes.is_accepted.type": "BOOL",
  "root.attributes.is_accepted.required": "True",
  "root.attributes.message.type": "S",
  "root.attributes.message.required": "True",
  "root.attributes.request_id.type": "S",
  "root.attributes.request_id.required": "False"
}

CMD curl

curl -X PATCH "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-purchase-orders-patch-one" -H "Content-Type: application/json" --data-raw "{\"purchase_order_id\": \"52f0074f-e6dc-4968-836f-aaecf5dae512\", \"store_id\": \"fea0d68f-e658-4352-8ed4-b05f89e665ca\", \"entity_number\": \"0001\", \"purchase_order_number\": \"0001\", \"order_number\": \"0001\", \"purchase_order_date\": \"2026-06-01\", \"purchase_order_datetime\": \"2026-06-01T08:10:43Z\", \"business_date\": \"2026-06-01\", \"purchase_order_status\": \"value-001\", \"owed_status\": \"value-001\", \"company_number\": \"0001\", \"company_name\": \"Sample Caferimo Purchase Orders 001\", \"company_address_line_1\": \"value-001\", \"company_address_line_2\": \"value-001\", \"company_contact_number\": \"0001\", \"company_tin\": \"value-001\", \"item_count\": 1, \"total_quantity\": 1, \"subtotal_amount\": 1, \"discount_amount\": 1, \"tax_amount\": 1, \"total_amount\": 1, \"settlement_status\": \"value-001\", \"settlement_method\": \"value-001\", \"settled_amount\": 1, \"balance_amount\": 1, \"settled_at\": \"2026-06-01T08:10:43Z\", \"prepared_by\": \"value-001\", \"approved_by\": \"value-001\", \"branch_name\": \"Sample Caferimo Purchase Orders 001\", \"terminal_name\": \"Sample Caferimo Purchase Orders 001\", \"purchase_order_remarks\": \"value-001\", \"linked_sales_invoice_number\": \"0001\", \"idempotency_key\": \"value-001\", \"created\": \"2026-06-01T08:10:43Z\", \"updated\": \"2026-06-01T08:10:43Z\", \"posted_at\": \"2026-06-01T08:10:43Z\", \"void_reason\": \"value-001\", \"voided_at\": \"2026-06-01T08:10:43Z\", \"children\": {\"purchase_order_items\": [{\"purchase_order_item_id\": \"b4b64a97-5535-43d8-97ed-bf41fd37ab31\", \"purchase_order_id\": \"52f0074f-e6dc-4968-836f-aaecf5dae512\", \"store_id\": \"fea0d68f-e658-4352-8ed4-b05f89e665ca\", \"entity_number\": \"0001\", \"purchase_order_number\": \"0001\", \"order_number\": \"0001\", \"business_date\": \"2026-06-01\", \"line_number\": 1, \"product_number\": \"0001\", \"product_name\": \"Sample Caferimo Purchase Order Items 001\", \"quantity\": 1, \"unit_price\": 1, \"line_total\": 1, \"created\": \"2026-06-01T08:10:43Z\", \"updated\": \"2026-06-01T08:10:43Z\"}]}}"

PowerShell curl

curl.exe -X PATCH "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-purchase-orders-patch-one" -H "Content-Type: application/json" --data-raw '{"purchase_order_id": "52f0074f-e6dc-4968-836f-aaecf5dae512", "store_id": "fea0d68f-e658-4352-8ed4-b05f89e665ca", "entity_number": "0001", "purchase_order_number": "0001", "order_number": "0001", "purchase_order_date": "2026-06-01", "purchase_order_datetime": "2026-06-01T08:10:43Z", "business_date": "2026-06-01", "purchase_order_status": "value-001", "owed_status": "value-001", "company_number": "0001", "company_name": "Sample Caferimo Purchase Orders 001", "company_address_line_1": "value-001", "company_address_line_2": "value-001", "company_contact_number": "0001", "company_tin": "value-001", "item_count": 1, "total_quantity": 1, "subtotal_amount": 1, "discount_amount": 1, "tax_amount": 1, "total_amount": 1, "settlement_status": "value-001", "settlement_method": "value-001", "settled_amount": 1, "balance_amount": 1, "settled_at": "2026-06-01T08:10:43Z", "prepared_by": "value-001", "approved_by": "value-001", "branch_name": "Sample Caferimo Purchase Orders 001", "terminal_name": "Sample Caferimo Purchase Orders 001", "purchase_order_remarks": "value-001", "linked_sales_invoice_number": "0001", "idempotency_key": "value-001", "created": "2026-06-01T08:10:43Z", "updated": "2026-06-01T08:10:43Z", "posted_at": "2026-06-01T08:10:43Z", "void_reason": "value-001", "voided_at": "2026-06-01T08:10:43Z", "children": {"purchase_order_items": [{"purchase_order_item_id": "b4b64a97-5535-43d8-97ed-bf41fd37ab31", "purchase_order_id": "52f0074f-e6dc-4968-836f-aaecf5dae512", "store_id": "fea0d68f-e658-4352-8ed4-b05f89e665ca", "entity_number": "0001", "purchase_order_number": "0001", "order_number": "0001", "business_date": "2026-06-01", "line_number": 1, "product_number": "0001", "product_name": "Sample Caferimo Purchase Order Items 001", "quantity": 1, "unit_price": 1, "line_total": 1, "created": "2026-06-01T08:10:43Z", "updated": "2026-06-01T08:10:43Z"}]}}'